#pragma once
#include "../base/provider_interface.hpp"

namespace lsp::providers::text_document
{
    class DidChangeProvider : public INotificationProvider
    {
    public:
        DidChangeProvider() = default;
        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ProviderContext& context) override;
    };
}
